Get Slack channels for workspace - Gable Docs
Get Slack channels for workspace
API Endpoint
GET /v0/slack/channels
Try it
Example cURL Request
curl --request GET \
--url https://demo-api.gable.ai/v0/slack/channels \
--header 'X-API-KEY: <api-key>'
Example Python Request
import requests
url = "https://demo-api.gable.ai/v0/slack/channels"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
Example JavaScript Request
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://demo-api.gable.ai/v0/slack/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Example PHP Request
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo-api.gable.ai/v0/slack/channels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Example Go Request
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/slack/channels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Example Unirest Request in Java
HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/slack/channels")
.header("X-API-KEY", "<api-key>")
.asString();
Example Ruby Request
require 'uri'
require 'net/http'
url = URI("https://demo-api.gable.ai/v0/slack/channels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
Response
Success Response
HTTP Status: 200
{
"channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"workspaceName": "<string>"
}
Error Response
HTTP Status: 500
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
Authorizations
- X-API-KEY - string, header, required.